Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Comments

Get Comments
GET /contentmodules/{moduleId}/content/{contentId}/comments
https://api.relesysapp.net/api/v1.1/contentmodules/{moduleId}/content/{contentId}/comments
Get a list of content comments.
Default sort is by creationDateTime in descending order.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentCommentId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"a79d65f7-d0a3-46df-bf11-ffae4931209b","url":null,"userId":"83c26b4f-2d89-4d90-8652-afce3a5b097e","userUrl":null,"parentCommentId":"6895b57b-bebb-4df7-90ea-596842166a23","parentCommentUrl":null,"creationDateTime":"2026-04-04T11:13:46.6377402+00:00","lastModifiedDateTime":"2026-04-04T15:13:46.6377402+00:00","medias":[{"id":"d1c3b18b-192c-43a9-a55b-71488902bb34","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"b3996099-0647-405e-9da8-baad7bd0b59f","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]},{"id":"28e2d3ae-0df3-43aa-a88b-5b4b69186484","url":null,"userId":"2b288232-0d1e-4540-90ae-ffd72f8e9311","userUrl":null,"parentCommentId":"2de4b200-b998-488d-b70a-0e135d526df0","parentCommentUrl":null,"creationDateTime":"2026-04-04T10:13:46.6377402+00:00","lastModifiedDateTime":null,"medias":null,"mentions":[{"type":"User","name":null,"id":"93ffcf00-d551-4fb7-ad22-3b4b238e13dd","url":null},{"type":"Department","name":null,"id":"69eea8c8-46ef-4b22-8bc1-aada6b7a257a","url":null},{"type":"User group","name":null,"id":"8c8a631b-0b0d-4a45-b806-e18d2d659e7a","url":null}],"locales":[{"culture":"en-GB","text":"Example text 2"}]}]}
object
  count integer      
  data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    text string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string